package com.ruoyi.project.cui.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.cui.mapper.TPipeMapper;
import com.ruoyi.project.cui.domain.TPipe;
import com.ruoyi.project.cui.service.ITPipeService;

import javax.annotation.Resource;

/**
 * 管线清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-03
 */
@Service
public class TPipeServiceImpl implements ITPipeService
{
    @Resource
    private TPipeMapper tPipeMapper;

    /**
     * 查询管线清单
     *
     * @param id 管线清单ID
     * @return 管线清单
     */
    @Override
    public TPipe selectTPipeById(Long id)
    {
        return tPipeMapper.selectTPipeById(id);
    }

    /**
     * 查询管线清单列表
     *
     * @param tPipe 管线清单
     * @return 管线清单
     */
    @Override
    public List<TPipe> selectTPipeList(TPipe tPipe)
    {
        return tPipeMapper.selectTPipeList(tPipe);
    }

    /**
     * 定时任务查询管线清单列表
     *
     * @param tPipe 管线清单
     * @return 管线清单集合
     */
    @Override
    public List<TPipe> selectList(TPipe tPipe) {
        return tPipeMapper.selectList(tPipe);
    }

    /**
     * 新增管线清单
     *
     * @param tPipe 管线清单
     * @return 结果
     */
    @Override
    public int insertTPipe(TPipe tPipe)
    {
        return tPipeMapper.insertTPipe(tPipe);
    }

    /**
     * 修改管线清单
     *
     * @param tPipe 管线清单
     * @return 结果
     */
    @Override
    public int updateTPipe(TPipe tPipe)
    {
        return tPipeMapper.updateTPipe(tPipe);
    }

    /**
     * 批量删除管线清单
     *
     * @param ids 需要删除的管线清单ID
     * @return 结果
     */
    @Override
    public int deleteTPipeByIds(Long[] ids)
    {
        return tPipeMapper.deleteTPipeByIds(ids);
    }

    /**
     * 删除管线清单信息
     *
     * @param id 管线清单ID
     * @return 结果
     */
    @Override
    public int deleteTPipeById(Long id)
    {
        return tPipeMapper.deleteTPipeById(id);
    }
}
